Bug 141858 - gnome-keybinding-properties improperly processes volume up/down shortcut assignments
gnome-keybinding-properties improperly processes volume up/down shortcut assi...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
4
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-03 23:18 EST by Mike Bongard
Modified: 2008-08-02 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 11:10:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Bongard 2004-12-03 23:18:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
After performing an upgrade from FC2 to FC3, I discovered that common
GNOME audio control functionality was broken. Specifically, keyboard
shortcuts defined in gnome-keybinding-properties fail to achieve the
desired effect.

Shortcuts bound to the options in the 'Sound' subsection are
misbehaving. I have observed the following:

Volume mute: behaves normally. Volume is brought to zero and an OSD is
displayed with a clear progress bar.

Volume up/down: misbehaving. OSD is displayed with same clear progress
bar as the mute keyboard shortut. Volume level is unaffected.

Play, pause, stop, and forward/back track are also working properly.

The volume control works properly when scaled with the scroll wheel or
manually adjusted with the mouse.

Version-Release number of selected component (if applicable):
2.8.0

How reproducible:
Always

Steps to Reproduce:
1. Assign volume up/down keyboard shortcut in gnome-keybinding-properties
2. Press assigned shortcut
3.
    

Actual Results:  Volume is not modified and an OSD is displayed
indicating a blank/muted volume level.

Expected Results:  Volume level is adjusted up/down and new level is
reflected on OSD.

Additional info:
Comment 1 Mike Bongard 2004-12-20 09:04:10 EST
Deleting ~/.gconf/desktop/gnome/peripherals/keyboard and re-assigning
the keybindings now allows volume functionality, although it is not
working properly.

Applying the 'volume up' combination will increment the volume on the
OSD and in the volume control, up to four times. (This is something
like 1/8 the maximum volume.) Applying the 'volume down' combination
will mute.

Applying the 'mute' combination will zero the volume; however, a
second application of 'mute' will not restore the prior volume level.
Comment 2 Thomas J. Baker 2005-01-14 09:28:32 EST
I am having similiar problems. I just switched systems but kept the
same home hard drive so my settings didn't change at all. It used to
work but now volume up maxes out the volume on one keypress and volume
down doesn't do anything. Mute does work as do the other controls. On
my home system, I added the same keyboard and have never been able to
get volume up or down to work with similiar behaviour to comment #1.
OSD comes up correctly but behaviour is wrong.
Comment 3 Thomas J. Baker 2005-05-27 10:18:38 EDT
This still is a problem for me in FC4T3 + may 26th updates. If there just was a
way to reset it, I'd be happy as this used to work.
Comment 4 Thomas J. Baker 2005-06-17 14:21:01 EDT
Clean install of fc4, new user created from scratch, same results. I think this
is not a gnome problem but maybe an alsa problem with the emu10k1? I wish I knew
what software was used from end to end. For me, the volume up key goes full
blast, volume down does nothing, and mute mutes but subsequent presses make it
unmute with the volume turned down just a little. So 10 presses of the mute key
do mute, unmute, mute, unmute, etc with the volume slowly going to zero.
Comment 5 Martin Bendle 2005-06-30 11:23:41 EDT
Additional "me too":

OS: FC4 i386 (clean install)
Machine: Dell Inspiron 8500 (laptop)
Problem: GNOME Keyboard Shortcuts settings detect key-press of the volume media
keys (play, stop etc not yet tested), but they do not work AT All when used.

The Above worked fine in FC3.

Interestingly the cursor flashes as if a normal key were pressed when the volume
keys are hit, but not the play/pause (etc.) ones.
Comment 6 Thomas J. Baker 2005-09-19 09:40:35 EDT
Is there anything I could do to help resolve this problem? What other
information would be helpful?
Comment 7 Matthew Miller 2006-07-10 16:10:14 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 8 John Thacker 2006-11-05 11:10:10 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.